"use strict";
const child_process_1 = require("child_process");
exports.findChangedFiles = (refA, refB) => {
    if (refA === undefined) {
        refA = 'HEAD';
    }
    if (refB === undefined) {
        refB = '';
    }
    let output = child_process_1.execSync(`git diff --name-only --diff-filter=ACMR ${refA} ${refB}`, { encoding: 'utf8' });
    return output.split('\n').filter(fileName => fileName.length > 0);
};
exports.npmInstall = () => {
    try {
        child_process_1.execSync('npm install', { encoding: 'UTF-8', stdio: [0, 1, 2] });
    }
    catch (err) {
        console.error('npm install was not successful, ignoring', err);
    }
};
exports.packageJsonChanged = (refA, refB) => exports.findChangedFiles(refA, refB).filter(f => f.indexOf('package.json') !== -1).length >= 1;
exports.filterTsFiles = (files) => {
    return files.filter(f => f.slice(-3) === '.ts' && f.slice(-5) !== '.d.ts');
};
//# sourceMappingURL=helpers.js.map